// by Ty Rayner

in vec2				texcoord;
in vec3				normal;
out vec4			fragColor;
uniform float		rotation;

void main(void)
{
	float alpha;
	vec3 n;
	
	n = normal;
 
	alpha = sin(rotation + (texcoord.x * 80.));
	
	alpha = smoothstep(.2, .96, alpha);
	//alpha = pow(alpha, 10.);
	
	alpha = .4 + (alpha * .6);
	
	alpha *= 1. - (texcoord.y);
	
	fragColor = vec4(0, 1. * alpha, 1. * alpha, alpha);
	//fragColor = vec4(1. * alpha, .65 * alpha, 0, alpha);
}

