// by Ty Rayner

uniform int		frameCounter;
out vec4		fragColor;
in vec2			texcoord;
in vec3			normal;

void main(void)
{
	float x = mod(gl_FragCoord.x - frameCounter, 20.);
	vec3 n;
	vec2 tc;
	
	n = normal;
	tc = texcoord;
	x = 1 - clamp(x, 0, 1);
	x = smoothstep(0, .001, x);
	fragColor = vec4(texcoord.x,x,texcoord.y,1);
}
