// by Ty Rayner

uniform mat4 mvp;

in vec4  inPosition;
in vec2  inTexcoord;
in vec3  inNormal;
out vec2 texcoord;
out vec3 normal;

void main (void)
{
	gl_Position	= mvp * inPosition;
	
	texcoord = inTexcoord;
	normal = inNormal;
}
