#!/bin/sh

echo ''
echo 'NetShade Uninstaller 1.2 (c)2014 www.raynersw.com'
echo ''

sudo whoami >/dev/null 2>/dev/null

if [ $? != 0 ]; then
	echo 'Failed to setuid to root';
	exit;
fi

echo Starting NetShade uninstall for uid $1
echo 'Terminating NetShade'; killall NetShade >/dev/null 2>/dev/null;
echo 'Terminating openvpn'; killall openvpn >/dev/null 2>/dev/null;
echo 'Terminating nshctldo'; killall com.raynersw.nshctldo >/dev/null 2>/dev/null;
echo 'Terminating nshfixer'; killall com.raynersw.nshfixer >/dev/null 2>/dev/null;
echo 'Unloading tun'; kextunload '/Library/Extensions/tun.kext' >/dev/null 2>/dev/null;
echo 'Unloading tap'; kextunload '/Library/Extensions/tap.kext' >/dev/null 2>/dev/null;
# echo 'Deleting NetShade application support directory'; rm -Rf ${HOME}/Library/Application\ Support/com.raynersw.NetShade >/dev/null 2>/dev/null;
# echo 'Purging NetShade preferences'; sudo -u\#$1 defaults delete com.raynersw.NetShade >/dev/null 2>/dev/null;
# echo 'Deleting NetShade preferences file'; rm -f ${HOME}/Library/Preferences/com.raynersw.NetShade.plist >/dev/null 2>/dev/null;
echo 'Deleting privileged helper tool nshctldo'; rm -f '/Library/PrivilegedHelperTools/com.raynersw.nshctldo' >/dev/null 2>/dev/null;
echo 'Deleting privileged helper tool nshfixer'; rm -f '/Library/PrivilegedHelperTools/com.raynersw.nshfixer' >/dev/null 2>/dev/null;
echo 'Deleting tun'; rm -Rf '/Library/Extensions/tun.kext' >/dev/null 2>/dev/null;
echo 'Deleting tap'; rm -Rf '/Library/Extensions/tap.kext' >/dev/null 2>/dev/null;
echo 'Deleting legacy components'; rm -f '/usr/libexec/proxycontrol'; rm -f '/usr/libexec/nshctl';

echo 'Un-setting proxies in System Preferences';
IFS="
";
for i in `networksetup -listallnetworkservices`; do
	if [ "$i" = "An asterisk (*) denotes that a network service is disabled." ] ; then
		continue;
	fi
	printf "networksetup -setwebproxystate \"%s\" off\n" $i | /bin/sh;
	printf "networksetup -setsecurewebproxystate \"%s\" off\n" $i | /bin/sh;
done

echo ''

echo 'Verifying...'

if (
#[ -f ${HOME}/Library/Application\ Support/com.raynersw.NetShade ] ||
#[ -f ${HOME}/Library/Preferences/com.raynersw.NetShade.plist ] ||
[ -f '/Library/PrivilegedHelperTools/com.raynersw.nshctldo' ] ||
[ -f '/Library/PrivilegedHelperTools/com.raynersw.nshfixer' ] ||
[ -f '/Library/Extensions/tun.kext' ] ||
[ -f '/Library/Extensions/tap.kext' ]
) ; then
	echo 'Error: Some files could not be uninstalled.';
	echo '';
else
	echo 'NetShade successfully uninstalled.';
	echo '';
	echo 'NOTE: This uninstaller has deleted all of the NetShade support files and software, but not the NetShade app itself. Please manually delete NetShade.app to finalize uninstallation, if desired.';
	echo '';
fi


